[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Please test zfsutils 9.0~svn226163-1

2011/10/13 Arno Töll <debian@toell.net>:
> Maybe I am missing something, but the only problem seems to be its BSD
> 4-clause license, which is not compatible to the GPL. But that shouldn't
> be a blocker for us, is it? Couldn't we upload libmd nonetheless, at
> least to experimental?

If a standalone libmd upload is holding things up, the GPL
incompatibility could also be resolved by linking libmd statically
into zfsutils as you proposed initially.

As for #645305 I'll take care of this in GRUB side.

The only remaining problem is that your update is to 9-STABLE.  I
think it'd be bad to upgrade zfsutils to 9-STABLE in Sid since the
Wheezy is due in 6 months and 9.0 isn't even released yet.  Perhaps
you could look at resyncing your patches with 8-STABLE?

Note that in terms of features 8-STABLE receives backports for almost
everything, it's a lot like the Testing/Unstable separation in Debian
(this will change when 9.0 is released though).

Robert Millan

Reply to: